#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: 
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

PACK_DIR=dirserv/cmdln
DEST_DIR=$(DSADMIN_DIR)/$(PACK_DIR)

#
# programs list
#
source = \
		$(DEST_DIR)/DSCommandLine.class \
		$(DEST_DIR)/DSStop.class \
		$(DEST_DIR)/DSStart.class \
		$(DEST_DIR)/DSRestart.class \
		$(DEST_DIR)/DSRestore.class \
		$(DEST_DIR)/DSBackup.class \
		$(DEST_DIR)/DSImport.class \
		$(DEST_DIR)/DSExport.class 

package = com/netscape/admin/$(PACK_DIR)
classdir = com.netscape.admin.dirserv.cmdln

all: $(DEST_DIR) $(source)

run: all
	java KFrame

runstop:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSStop -h gargoyle -p 1972 -i gargoyle -u admin -w admin

runstart:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSStart -h gargoyle -p 1972 -i gargoyle -u admin -w admin

runrestart:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSRestart -h gargoyle -p 1972 -i gargoyle -u admin -w admin

runback:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSBackup -h gargoyle -p 1972 -i gargoyle -u admin -w admin -d backtest

runrest:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSRestore -h gargoyle -p 1972 -i gargoyle -u admin -w admin -d /export2/PACKMEDEL/slapd-gargoyle/bak/backtest

runimp:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSImport -h gargoyle -p 1972 -i gargoyle -u admin -w admin -f test_ldif

runexp:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSExport -h gargoyle -p 1972 -i gargoyle -u admin -w admin -f test_ldif

clean:
	rm -f  $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

